package domain

type AlibabaHmMarketingBuygiftItemAddAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult) SetMessage(v string) *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult) SetErrorCode(v string) *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult) SetDatas(v []AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku) *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult) SetSuccess(v bool) *AlibabaHmMarketingBuygiftItemAddAsyncMarketResult {
	s.Success = &v
	return s
}
